#ifndef SSEditor_H
#define SSEditor_H

#include <Text.h>
#include <Server.h>

using namespace Framework;
using namespace Network;

class SSEditor
{
private:
    Text pfad;
    Text workPfad;
    Text fehler;
    int ref;

public:
    // Konstruktor
    SSEditor( char *pf );
    // Destruktor
    ~SSEditor();
    // nicht constant
    bool prozessMessage( SKlient *zKlient );
    // constant
    char *getLetzterFehler() const;
    // Reference Counting
    SSEditor *getThis();
    SSEditor *release();
};

#endif